Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.xfa.WidgetChoiceOption Class Reference

## Public Member Functions
| WidgetChoiceOption ()
| Constructor.
| WidgetChoiceOption (String option_label, boolean selected)
| Constructor, with parameters. More...
| WidgetChoiceOption (WidgetChoiceOption option)
| Constructor, with another choice option object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getOption_label ()
| Get the displayed string value for the option. More...
boolean | getSelected ()
| Get used to indicate whether the option is selected or not. More...
void | set (String option_label, boolean selected)
| Set value. More...
void | setOption_label (String value)
| Set the displayed string value for the option. More...
void | setSelected (boolean value)
| Set used to indicate whether the option is selected or not. More...

## Detailed Description

This class represents the data of an option in list box or combo box.

## Constructor & Destructor Documentation

## ◆ WidgetChoiceOption() [1/2]

com.foxit.sdk.addon.xfa.WidgetChoiceOption.WidgetChoiceOption | ( | String | option_label,
|  | boolean | selected
| ) |  |

Constructor, with parameters.

Parameters

  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.

## ◆ WidgetChoiceOption() [2/2]

com.foxit.sdk.addon.xfa.WidgetChoiceOption.WidgetChoiceOption | ( | WidgetChoiceOption | option | ) |

Constructor, with another choice option object.

Parameters

  [in] | option | Another choice option object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.xfa.WidgetChoiceOption.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getOption_label()

com.foxit.sdk.addon.xfa.WidgetChoiceOption.getOption_label | ( |  | ) |

Get the displayed string value for the option.

Returns
  The displayed string value for the option.

## ◆ getSelected()

com.foxit.sdk.addon.xfa.WidgetChoiceOption.getSelected | ( |  | ) |

Get used to indicate whether the option is selected or not.

Returns
  Used to indicate whether the option is selected or not.

## ◆ set()

void com.foxit.sdk.addon.xfa.WidgetChoiceOption.set | ( | String | option_label,
|  | boolean | selected
| ) |  |

Set value.

Parameters

  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.

Returns
  None.

## ◆ setOption_label()

com.foxit.sdk.addon.xfa.WidgetChoiceOption.setOption_label | ( | String | value | ) |

Set the displayed string value for the option.

Parameters

  [in] | value | The displayed string value for the option.

Returns
  None.

## ◆ setSelected()

com.foxit.sdk.addon.xfa.WidgetChoiceOption.setSelected | ( | boolean | value | ) |

Set used to indicate whether the option is selected or not.

Parameters

  [in] | value | Used to indicate whether the option is selected or not.

Returns
  None.